Package: org.codehaus.groovy.runtime.m12n

## [Java] Class PropertiesModuleFactory

- org.codehaus.groovy.runtime.m12n.PropertiesModuleFactory

-     public abstract class PropertiesModuleFactory
      extends Object

  This is the base class for classes responsible for creating modules using properties.

  Since:
    2.0.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `MODULE_NAME_KEY` |
    `static String` | `MODULE_VERSION_KEY` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public abstract ExtensionModule` | `newModule(Properties properties, ClassLoader classLoader)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final String MODULE_NAME_KEY

    - #### public static final String MODULE_VERSION_KEY

  - ### Method Detail

    - #### public abstract ExtensionModule newModule(Properties properties, ClassLoader classLoader)